############# DO NOT CHANGE #############
import os, __builtin__, gettext
schlimdir = os.path.dirname(os.path.realpath(__file__))
__builtin__._ = gettext.translation('schlim', schlimdir + '/i18n', fallback=True).ugettext
#########################################

############# CONFIGURATION #############
# Example remote server
#xmlrpc_server = 'http://uservu:8011'
#SERVER = 'uservu'
xmlrpc_server = 'No'
SERVER = 'No'
# Remote home directory base
#HOMESDIR = '/home/shares'
HOMESDIR = None

SCHLIMEXITCODE = os.environ.get('SCHLIMEXITCODE') or '/tmp/schlim-exitcode'
SCHLIMLOG = os.environ.get('SCHLIMLOG') or '/var/log/schlim.log'

BLOCKAUTOLOGIN = '/tmp/schlim-noautologin'
# User to login automatically, at start-up only
autologin = None
# Additional users to accept
#EXTRAUSERS = []
EXTRAUSERS = [('root', _("System Administrator"))]
# Users whose home directory is recreated at login
#VOLATILE_USERS = ['guest']
VOLATILE_USERS = []

#================================================================
# Theme

_ss = """
QWidget { color: #1f8011; background: #cfb270 }
QWidget:focus { border: 1px solid #812a0b; border-radius: 3px }
QPushButton:!focus:hover, QLineEdit:!focus:hover { border: 1px solid #1fd511; border-radius: 3px }
QHeaderView::section { color: #812a70; background: #b0a070; border: 0px }
QTreeView { selection-background-color: black; selection-color: #1fd511 }
QTreeView::item:hover { color: #812a0b }
QLineEdit { selection-background-color: #812a0b }
"""

theme = {
        'showusers'         : True,
        'showusers_geometry': (-400, 0, 200, 200),
        'login_geometry'    : (-150, 150, 300, 0),
        'buttons_geometry'  : (-150, 240, 300, 40),
#        'background_image'  : 'image.png',
        'background_image'  : 'loginsplash.png',
        'loginsplash'       : 'loginsplash.png',
        'image_scale'       : '400_300',
#        'image_scale'       : '50%',
#        'image_scale'       : '',
        'splash_fit'        : True,
        'stylesheet'        : _ss,
    }

